Closed Bug 527872 Opened 10 years ago Closed 10 years ago

Intermittent failure in test_bug514732.html

Categories

(Core :: Layout, defect)

x86
Linux
defect
Not set

Tracking

()

RESOLVED FIXED
mozilla1.9.3a1

People

(Reporter: philor, Assigned: froystig)

References

Details

(Keywords: intermittent-failure)

Attachments

(1 file)

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257911236.1257914435.3702.gz#err0
Linux mozilla-central debug test mochitests-4/5 on 2009/11/10 19:47:16  

1214 INFO TEST-PASS | /tests/layout/generic/test/test_bug514732.html | Received expected expansion event
1215 INFO TEST-PASS | /tests/layout/generic/test/test_bug514732.html | Expansion event x is 0
1216 INFO TEST-PASS | /tests/layout/generic/test/test_bug514732.html | Expansion event y is 0
1217 INFO TEST-PASS | /tests/layout/generic/test/test_bug514732.html | Expansion event width matches body width
1218 INFO TEST-PASS | /tests/layout/generic/test/test_bug514732.html | Expansion event height matches body height
1219 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/generic/test/test_bug514732.html | Received expected contraction event
1220 INFO TEST-PASS | /tests/layout/generic/test/test_bug514732.html | Received expected expansion event
Whiteboard: [orange]
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258295871.1258298412.24868.gz
Linux mozilla-central debug test mochitests-4/5 on 2009/11/15 06:37:51
s: moz2-linux-slave05
OS: Mac OS X → Linux
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258525547.1258528477.3330.gz
Linux mozilla-central debug test mochitests-4/5 on 2009/11/17 22:25:47
s: moz2-linux-slave01
{
1216 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/generic/test/test_bug514732.html | Received expected expansion event
1217 INFO TEST-PASS | /tests/layout/generic/test/test_bug514732.html | Received expected contraction event
1218 INFO TEST-PASS | /tests/layout/generic/test/test_bug514732.html | Contraction event x is 0
1219 INFO TEST-PASS | /tests/layout/generic/test/test_bug514732.html | Contraction event y is 0
1220 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/generic/test/test_bug514732.html | Contraction event width matches body width - got 10500, expected 600
}
Blocks: 438871
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260586944.1260589696.10352.gz
Linux mozilla-central debug test mochitests-4/5 on 2009/12/11 19:02:24
s: moz2-linux-slave42
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260772901.1260775798.16751.gz
Linux mozilla-central debug test mochitests-4/5 on 2009/12/13 22:41:41
s: moz2-linux-slave07
My guess is that the original tests cause rare orange only observed on debug Linux builds because they depend on a timeout, the effect of which only the occasional debug build is slow enough to observe.  Here's a fix for that.
Assignee: nobody → froystig
Pushed http://hg.mozilla.org/mozilla-central/rev/e67094febf72
Status: NEW → RESOLVED
Closed: 10 years ago
Resolution: --- → FIXED
Flags: in-testsuite+
Target Milestone: --- → mozilla1.9.3a1
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.